Class DefaultStatusRouteInfo<T,R>
java.lang.Object
io.micronaut.web.router.DefaultRouteInfo<R>
io.micronaut.web.router.DefaultRequestMatcher<T,R>
io.micronaut.web.router.DefaultStatusRouteInfo<T,R>
- Type Parameters:
T- The targetR- The result
- All Implemented Interfaces:
AnnotationMetadataProvider, AnnotationSource, MethodBasedRouteInfo<T,R>, RequestMatcher, RouteInfo<R>, StatusRouteInfo<T, R>
@Internal
public final class DefaultStatusRouteInfo<T,R>
extends DefaultRequestMatcher<T,R>
implements StatusRouteInfo<T,R>
The default
StatusRouteInfo implementation.- Since:
- 4.0.0
- Author:
- Denis Stepanov
-
Field Summary
Fields inherited from class DefaultRouteInfo
annotationMetadata, consumesMediaTypes, consumesMediaTypesContainsAll, declaringType, definedStatus, isWebSocketRoute, producesMediaTypes, producesMediaTypesContainsAll, returnTypeFields inherited from interface AnnotationSource
EMPTYFields inherited from interface RouteInfo
DEFAULT_PRODUCES -
Constructor Summary
ConstructorsConstructorDescriptionDefaultStatusRouteInfo(@Nullable Class<?> originatingType, int statusCode, MethodExecutionHandle<T, R> targetMethod, @Nullable String bodyArgumentName, @Nullable Argument<?> bodyArgument, List<MediaType> consumesMediaTypes, List<MediaType> producesMediaTypes, List<Predicate<HttpRequest<?>>> predicates, ConversionService conversionService, MessageBodyHandlerRegistry messageBodyHandlerRegistry) -
Method Summary
Modifier and TypeMethodDescriptionbooleanfindStatus(@Nullable HttpStatus defaultStatus) Finds predefined route http status or uses default.String[]LikeRouteInfo.getRequestBodyType(), but excludes body arguments that may match only a part of the body (i.e.final @Nullable MessageBodyReader<?> inthashCode()booleanisVoid()match(int statusCode) Match the given HTTP status.match(HttpStatus status) Match the given HTTP status.Match the given HTTP status.match(@Nullable Class<?> originatingClass, HttpStatus status) Match the given HTTP status.boolean@Nullable Class<?> resolveArgumentBinders(RequestBinderRegistry requestBinderRegistry) status()inttoString()Methods inherited from class DefaultRequestMatcher
matchingMethods inherited from class DefaultRouteInfo
consumesAll, doesConsume, doesProduce, doesProduce, explicitlyConsumes, explicitlyProduces, getAnnotationMetadata, getConsumes, getDeclaringType, getExecutor, getMessageBodyWriter, getProduces, getResponseBodyType, getReturnType, isAsync, isAsyncOrReactive, isCompletable, isErrorRoute, isImperative, isPermitsRequestBody, isReactive, isSingleResult, isSpecifiedSingle, isSuspended, isWebSocketRoute, producesAllMethods inherited from interface AnnotationMetadataProvider
findAnnotation, findAnnotation, findDeclaredAnnotation, findDeclaredAnnotation, getAnnotationMetadata, getTargetAnnotationMetadata, isAnnotationPresent, isDeclaredAnnotationPresent, synthesize, synthesizeAll, synthesizeAnnotationsByType, synthesizeDeclared, synthesizeDeclared, synthesizeDeclaredAnnotationsByTypeMethods inherited from interface AnnotationSource
getAnnotation, getAnnotation, getDeclaredAnnotation, getDeclaredAnnotation, isAnnotationPresent, isDeclaredAnnotationPresent, synthesize, synthesizeDeclaredMethods inherited from interface MethodBasedRouteInfo
getArgumentNames, getTargetMethod, resolveArgumentBindersMethods inherited from interface RequestMatcher
matchingMethods inherited from interface RouteInfo
consumesAll, doesConsume, doesProduce, doesProduce, explicitlyConsumes, explicitlyProduces, getBodyArgument, getBodyType, getConsumes, getDeclaringType, getExecutor, getFullRequestBodyType, getMessageBodyReader, getMessageBodyWriter, getProduces, getRequestBodyType, getResponseBodyType, getReturnType, isAsync, isAsyncOrReactive, isCompletable, isErrorRoute, isImperative, isPermitsRequestBody, isReactive, isResponseBodyJsonFormattable, isSingleResult, isSpecifiedSingle, isSuspended, isVoid, isWebSocketRoute, needsRequestBody, producesAll
-
Constructor Details
-
DefaultStatusRouteInfo
public DefaultStatusRouteInfo(@Nullable Class<?> originatingType, int statusCode, MethodExecutionHandle<T, R> targetMethod, @Nullable String bodyArgumentName, @Nullable Argument<?> bodyArgument, List<MediaType> consumesMediaTypes, List<MediaType> producesMediaTypes, List<Predicate<HttpRequest<?>>> predicates, ConversionService conversionService, MessageBodyHandlerRegistry messageBodyHandlerRegistry)
-
-
Method Details
-
originatingType
- Specified by:
originatingTypein interfaceStatusRouteInfo<T,R> - Returns:
- The type the exception originates from. Null if the error route is global.
-
status
- Specified by:
statusin interfaceStatusRouteInfo<T,R> - Returns:
- The status
-
statusCode
public int statusCode()- Specified by:
statusCodein interfaceStatusRouteInfo<T,R> - Returns:
- The status
-
findStatus
Description copied from interface:RouteInfoFinds predefined route http status or uses default.- Specified by:
findStatusin interfaceRouteInfo<T>- Overrides:
findStatusin classDefaultRouteInfo<R>- Parameters:
defaultStatus- The default status- Returns:
- The status
-
match
Description copied from interface:StatusRouteInfoMatch the given HTTP status.- Specified by:
matchin interfaceStatusRouteInfo<T,R> - Parameters:
originatingClass- The class where the error originates fromstatus- The status to match- Returns:
- The route match
-
match
Description copied from interface:StatusRouteInfoMatch the given HTTP status.- Specified by:
matchin interfaceStatusRouteInfo<T,R> - Parameters:
status- The status to match- Returns:
- The route match
-
match
Description copied from interface:StatusRouteInfoMatch the given HTTP status.- Specified by:
matchin interfaceStatusRouteInfo<T,R> - Parameters:
statusCode- The status to match- Returns:
- The route match
-
match
Description copied from interface:StatusRouteInfoMatch the given HTTP status.- Specified by:
matchin interfaceStatusRouteInfo<T,R> - Parameters:
originatingClass- The class where the error originates fromstatusCode- The status to match- Returns:
- The route match
-
hashCode
-
equals
-
toString
-
getMessageBodyReader
- Specified by:
getMessageBodyReaderin interfaceRouteInfo<T>- Returns:
- The message body reader. if any.
-
resolveArgumentBinders
public RequestArgumentBinder<Object>[] resolveArgumentBinders(RequestBinderRegistry requestBinderRegistry) - Specified by:
resolveArgumentBindersin interfaceMethodBasedRouteInfo<T,R>
-
isVoid
public boolean isVoid()- Specified by:
isVoidin interfaceRouteInfo<T>- Overrides:
isVoidin classDefaultRouteInfo<R>- Returns:
- Does the route return void
-
getTargetMethod
- Specified by:
getTargetMethodin interfaceMethodBasedRouteInfo<T,R> - Returns:
- The
MethodExecutionHandle
-
getRequestBodyType
- Specified by:
getRequestBodyTypein interfaceRouteInfo<T>- Overrides:
getRequestBodyTypein classDefaultRouteInfo<R>- Returns:
- The argument that represents the body of the request
-
getFullRequestBodyType
Description copied from interface:RouteInfoLikeRouteInfo.getRequestBodyType(), but excludes body arguments that may match only a part of the body (i.e. that have no@Bodyannotation, or where the@Bodyhas a value set).- Specified by:
getFullRequestBodyTypein interfaceRouteInfo<T>- Returns:
- The argument that represents the body
-
getArgumentNames
- Specified by:
getArgumentNamesin interfaceMethodBasedRouteInfo<T,R>
-
needsRequestBody
public boolean needsRequestBody()- Specified by:
needsRequestBodyin interfaceRouteInfo<T>- Overrides:
needsRequestBodyin classDefaultRouteInfo<R>- Returns:
- true if the route needs request body to be read
-